import '../../model/platform.dart';
import '../interface/action.dart';

class DynatraceNullAction implements DynatraceAction {
  @override
  void leaveAction() {
    return;
  }

  @override
  void reportDoubleValue(String valueName, double value, {Platform platform}) {
    return;
  }

  @override
  void reportError(String errorName, int errorCode, {Platform platform}) {
    return;
  }

  @override
  void reportEvent(String eventName, {Platform platform}) {
    return;
  }

  @override
  void reportIntValue(String valueName, int value, {Platform platform}) {
    return;
  }

  @override
  void reportStringValue(String valueName, String value, {Platform platform}) {
    return;
  }
}
