import 'package:flutter/widgets.dart';

class ActionCounter {
  static ActionCounter _instance;

  int _count;

  ActionCounter.private(this._count);

  factory ActionCounter() {
    if (_instance == null) {
      _instance = ActionCounter.private(0);
    }

    return _instance;
  }

  @visibleForTesting
  void resetCount() {
    _count = 0;
  }

  int getCurrentCount() {
    return _count;
  }

  int getNewActionId() {
    return _count++;
  }
}
